org.apache.ignite.internal

## Class GridNodeOrderComparator

- java.lang.Object
- - org.apache.ignite.internal.GridNodeOrderComparator

All Implemented Interfaces:
  Serializable, Comparator<ClusterNode>

    public class GridNodeOrderComparator
    extends Object
    implements Comparator<ClusterNode>, Serializable

Node order comparator.

See Also:
  Serialized Form

### Field Summary

Fields
`static Comparator<ClusterNode>` `INSTANCE`

### Method Summary

Methods
`int` `compare(ClusterNode n1, ClusterNode n2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### INSTANCE

    public static final Comparator<ClusterNode> INSTANCE

### Method Detail

#### compare

    public int compare(ClusterNode n1,
              ClusterNode n2)

Specified by:
  `compare` in interface `Comparator<ClusterNode>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016